%define daemon_user monitor
%if 0%{?sles_version}
%define htmlroot /srv/www/htdocs
%define httpconfdir apache2/conf.d
%define daemon_group www
%define daemon_user wwwrun
%define init_name syslog
%else
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
%define daemon_user apache
%define init_name syslog-ng
%endif

Summary: Connects syslog-ng with op5logserver database via files and db.
Name: op5-syslog-ng
Version: %{op5version}
Release: %{op5release}%{?dist}
License: op5 Immaterial Works License
Group: op5/logserver
Vendor: op5 AB
BuildRoot: %{_tmppath}/%{name}-root
Source: %name-%version.tar.gz
Conflicts: op5-logserver-connector-fs
Obsoletes: monitor-passive-logs < 3.2.5
Provides: monitor-passive-logs = 3.2.5
Obsoletes: op5-logserver-rotate < %version
Provides: op5-logserver-rotate = %version
Requires: syslog-ng >= 3.3.7-16
Requires: syslog-ng-libdbi
Requires: op5-logserver-db
Requires: python-psycopg2
%if 0%{?suse_version}
# SLES-specific stuff
Requires: libdbi-drivers-dbd-pgsql
%else
# Common RHEL stuff
%if 0%{?rhel} >= 6
# RHEL6-specific stuff
Requires: libdbi-dbd-pgsql
%else
# RHEL5-specific stuff
%endif
%endif

%description
Configure syslog-ng to write to files and postgresql

%prep
%setup -q

%build
sed 's/@@LOGFILE_GROUP@@/%daemon_group/g' < op5-syslog-ng.conf.in > op5-syslog-ng.conf

%install
rm -rf %buildroot
mkdir %buildroot
mkdir -p %{buildroot}%{_sysconfdir}/syslog-ng/conf.d
mkdir -p %{buildroot}%{_var}/log/op5/logserver
cp op5-syslog-ng.conf %{buildroot}%{_sysconfdir}/syslog-ng/conf.d

mkdir -p %{buildroot}/opt/logserver/scripts
cp *.py %{buildroot}/opt/logserver/scripts/

mkdir -p %{buildroot}%{_sysconfdir}/cron.d
cp op5-logserver-logrotate.cron %{buildroot}%{_sysconfdir}/cron.d/op5-logserver-logrotate

%post
service %init_name status
if [ $? -eq 0 ]; then
	service %init_name stop
fi
[ -f /etc/init.d/rsyslog ] && service rsyslog stop
service %init_name start

%postun
%if 0%{?sles_version}
service %init_name try-restart
%else
service %init_name condrestart
%endif


%files
%defattr(-,root,root)
%dir %{_var}/log/op5/logserver
/opt/logserver/scripts/*
%attr(644, root, root) %{_sysconfdir}/syslog-ng/conf.d/op5-syslog-ng.conf
%attr(644, root, root) %{_sysconfdir}/cron.d/op5-logserver-logrotate

%changelog
* Tue Sep 16 2008 Roman Kyrylych <rkyrylych@n-ix.com.ua>
- Updated to include license checker
* Mon May 13 2008 Kostyantyn Gushtin <kostya.gushtin@n-ix.com.ua>
- Initital RPM packaging
